@import url(style/variables.css);


html, body {
    font-family: 'Changa', sans-serif;
    background-size: cover;
    background-position: center;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    margin: 0;
    padding: 0;
    height: auto;
    overflow-x: hidden;
    scroll-behavior: smooth;
}

header {
    width: 100%;
    height: 830px;
    background-image: url(/Images/lab-girl.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    position: relative;
    z-index: 1;
}

main {
    background-color: var(--primary-background-colour);
    font-family: 'Changa', sans-serif;
    background-size: cover;
    background-position: center;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    margin: 0;
    padding: 0;
    height: auto;
    overflow-x: hidden;
    align-items: center;
}

.moon-image-frame {
    position: relative;
    width: 100%;
    border-top-right-radius: var(--top-border-radius);
    border-top-left-radius: var(--top-border-radius);
    margin: 0 auto;
    }
    
    .moon-image {
    display: flex;
    position: relative;
    border-top-right-radius: var(--top-border-radius);
    border-top-left-radius: var(--top-border-radius);
    width: 40%;
    height: 300px;
    margin: 0 auto;
    margin-top: 50px;
    }

.Cosmology-frame {
    margin-bottom: 300px;
    width: 40%;
    height: auto;
    background-size: cover;
    text-align: center;
    padding: 20px;
    padding-bottom: 60px;
    background-color: var(--primary-gray-color);
}

.scientist-h1,
.Cosmology-h1 {
    text-shadow: var(--blue-text-shadow);
    color: var(--primary-colour);
    font-size: 2.5rem;
    margin: 20px auto;
}

.scientist-p1,
.Cosmology-p1 {
    color: var(--primary-colour);
    font-size: 1.3rem;
    line-height: 1.6;
    margin: 10px auto;
    padding: 10px; /* Add padding if necessary */
}

.biology-image-frame {
    position: relative;
    width: 100%;
    border-top-right-radius: var(--top-border-radius);
    border-top-left-radius: var(--top-border-radius);
    margin: 0 auto;
}

.scientist-image {
    display: flex;
    position: relative;
    border-top-right-radius: var(--top-border-radius);
    border-top-left-radius: var(--top-border-radius);
    width: 70%;
    height: 350px;
    margin: 0 auto;
}

.scientist-frame {
    margin-bottom: 300px;
    width: 70%;
    height: auto;
    background-size: cover;
    text-align: center;
    padding: 20px;
    padding-bottom: 60px;
    background-color: var(--primary-gray-color);
}

.science-button-frame {
    display: flex;
    position: fixed;
    bottom: 50px;
    right: 50px;
    width: 170px;
    height: 50px;
    margin: 0 auto;
    box-shadow: var(--secoundary-box-shadow);
}

.science-button{
    display: flex;
    margin: 0 auto;
    height: auto;
    width: 100%;
    text-align: center;
    align-items: center;
    justify-content: center;
    background-color: var(--primary-menu-color);
}